summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2017-02-01 23:05:53 -0600
committerMatthew Thode <prometheanfire@gentoo.org>2017-02-01 23:05:53 -0600
commit54117db1d1baa546436b6b238091457302317f5c (patch)
treee754a9ee5b989f6c308c09a1fc82861aa06999e3 /sys-cluster
parentapp-portage/layman: Re-add 2.2.0-r7 due to missing keywords for g-sorcery (diff)
downloadgentoo-54117db1d1baa546436b6b238091457302317f5c.tar.gz
gentoo-54117db1d1baa546436b6b238091457302317f5c.tar.bz2
gentoo-54117db1d1baa546436b6b238091457302317f5c.zip
sys-cluster/cinder: bup
Package-Manager: portage-2.3.3
Diffstat (limited to 'sys-cluster')
-rw-r--r--sys-cluster/cinder/Manifest1
-rw-r--r--sys-cluster/cinder/cinder-9.1.2.ebuild196
2 files changed, 197 insertions, 0 deletions
diff --git a/sys-cluster/cinder/Manifest b/sys-cluster/cinder/Manifest
index 7400a2e75af..171e2ed7294 100644
--- a/sys-cluster/cinder/Manifest
+++ b/sys-cluster/cinder/Manifest
@@ -1,5 +1,6 @@
DIST cinder-8.1.1.tar.gz 3875392 SHA256 57de9d1410e9e5a0568499e38414241167e4b2b1742aac309844da80efd127e2 SHA512 4dfa5a11b11b684761519b33d1b45f4d65152df96fc9303e92724f88a01bea031e0dd7aaa229d5876641fa4a5089fcd197e52cf01652a89f6027435b038f3560 WHIRLPOOL 9815230914da588529f3f3916ddfdb25025a531015fd78fce635a6e55b6051f2a26f2e4710cd980daceb905f41caaceb274f84c34353bbc363a36e12a88c8245
DIST cinder-9.1.1.tar.gz 4201222 SHA256 455831c90ac6eafde83bb7b57d0c8ee0caf19a419bf760b2451aa7164cc9627d SHA512 3bf93913749c0ed6c5ee2fec4b07d32d59daf2c494333a8812d267c797ed4dfcb2d83203c6494c8dda14770a1f1e3cd48d4770158ad18307bdada358811ab94e WHIRLPOOL 5e9f3837e1576afb4ecce654d9547c7c4a857a0695b15530a8b84647ff17285f4a9e5312cc36b603248ddb81ec41628f0d6921df48c31eb43f609f6b086c87a9
+DIST cinder-9.1.2.tar.gz 4202510 SHA256 03415a9fc0280263d9094e385ce08af1ad3daed2227baa8c258744e400cd97c2 SHA512 bc5b8d58128df458f80120d061da5b2e097c8ce4daa6ee9b7c5e1062a1074861e9e33f547f4a5c2005316d1ad9f8f3b2f3e2d5825492ba6fa0becf8fdf3a41ee WHIRLPOOL dc8a74fdd513fdeb0cf321498a504ef9803480ae254a2f7e65853f27867699a54311fcb0ad2c248d06fccd5d914eda20335fce9f6efd983e5d03bd59f6851a40
DIST mitaka-cinder-api-paste.ini 2416 SHA256 3794a5e34dace60474274e93a7346662eb03a485d1b9b67afded591e764aba9d SHA512 f6e3800557fa7efb562a69f80eea9b516c0ad2e54b9a013c92118bf91daaf2bdd2a9ced309626fab13fe9b979f0c768ac22bba63c7fa8aa3443004d50359d844 WHIRLPOOL 90e8c7bf065609e6a85d247c15b1022ea51bb94b000841c30a69d99c96082a08125fca58cf5b216990c6b746f52af5cedebbafc5b9450a91c0d32cdc21951952
DIST mitaka-cinder-policy.json 4959 SHA256 5a9cd9d5d4cf80a9271fd7a5146d6d5415d10f8d699a8499a39a3cde29f50bd6 SHA512 b36daa51ab7719e1a56ca760e7ec62a98fb3a88ffed96196852023abf4ffe483200c9dcb934e3c7910fc6988f9c2bb9bb914121d0d649dc3b01466f467a82fe2 WHIRLPOOL f288b6dba2593fa6deb8ad94862948899ec10f71e4751f108ec1fbfff814c3206b5c541aaac0bb7edd2fb5311639a1cd3a44586855912cb2e0e675d5ad78161c
DIST mitaka-cinder-volume.filters 9819 SHA256 20e4833aaf18b6be247e8ea2a0f63cc509ed595ea799c3ccfbcc1d0afc5bf9d8 SHA512 7b7aacdd843b960ed075b466e0bd7d2973a7733e7db63b4cb02df4b824a9528f6b7074870bf0048674e600bed983bc66caa1914963fff4aed00e8ab40e2ef600 WHIRLPOOL 32fb88041b8f38c821896d82139ea712ea0fc0a71bd6154e31887e85baf58d80b2c8bfd6c60b21613e522fe32fb022078091fcdc74110e5c9968826ae218c085
diff --git a/sys-cluster/cinder/cinder-9.1.2.ebuild b/sys-cluster/cinder/cinder-9.1.2.ebuild
new file mode 100644
index 00000000000..1b68e3d33b2
--- /dev/null
+++ b/sys-cluster/cinder/cinder-9.1.2.ebuild
@@ -0,0 +1,196 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 )
+
+inherit distutils-r1 eutils linux-info user
+
+DESCRIPTION="Cinder is the OpenStack Block storage service, a spin out of nova-volumes"
+HOMEPAGE="https://launchpad.net/cinder"
+SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/openstack/cinder/newton/cinder.conf.sample -> newton-cinder.conf.sample
+https://dev.gentoo.org/~prometheanfire/dist/openstack/cinder/newton/policy.json -> newton-cinder-policy.json
+https://dev.gentoo.org/~prometheanfire/dist/openstack/cinder/newton/volume.filters -> newton-cinder-volume.filters
+https://tarballs.openstack.org/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+api +scheduler +volume infiniband iscsi lvm mysql +memcached postgres rdma sqlite +tcp test +tgt"
+REQUIRED_USE="|| ( mysql postgres sqlite ) iscsi? ( tgt ) infiniband? ( rdma )"
+
+CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ app-admin/sudo"
+
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
+ >=dev-python/decorator-3.4.0[${PYTHON_USEDEP}]
+ dev-python/enum34[$(python_gen_usedep 'python2_7')]
+ >=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
+ >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
+ >=dev-python/httplib2-0.7.5[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ virtual/python-ipaddress[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth-2.10.0[${PYTHON_USEDEP}]
+ >=dev-python/keystonemiddleware-4.0.0[${PYTHON_USEDEP}]
+ !~dev-python/keystonemiddleware-4.1.0[${PYTHON_USEDEP}]
+ !~dev-python/keystonemiddleware-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-2.3[${PYTHON_USEDEP}]
+ >=dev-python/oauth2client-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-3.8.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-context-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-db-4.10.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-db-4.13.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-db-4.13.2[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-1.14.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-messaging-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-middleware-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-policy-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-privsep-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-reports-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-rootwrap-5.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-service-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.16.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-versionedobjects-1.13.0[${PYTHON_USEDEP}]
+ >=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/paramiko-2.0[${PYTHON_USEDEP}]
+ dev-python/paste[${PYTHON_USEDEP}]
+ >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/pycrypto-2.6[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/python-barbicanclient-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-glanceclient-2.3.0[${PYTHON_USEDEP}]
+ !~dev-python/python-glanceclient-2.4.0[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/python-keystoneclient-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-novaclient-2.29.0[${PYTHON_USEDEP}]
+ !~dev-python/python-novaclient-2.33.0[${PYTHON_USEDEP}]
+ >=dev-python/python-swiftclient-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.10.0[${PYTHON_USEDEP}]
+ >=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
+ !~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
+ !~dev-python/routes-2.0[${PYTHON_USEDEP}]
+ !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
+ !~dev-python/routes-2.3[${PYTHON_USEDEP}]
+ >=dev-python/taskflow-1.26.0[${PYTHON_USEDEP}]
+ >=dev-python/rtslib-fb-2.1.41[${PYTHON_USEDEP}]
+ !~dev-python/rtslib-fb-2.1.60[${PYTHON_USEDEP}]
+ !~dev-python/rtslib-fb-2.1.61[${PYTHON_USEDEP}]
+ >=dev-python/simplejson-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ sqlite? (
+ >=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-1.1.0[sqlite,${PYTHON_USEDEP}]
+ )
+ mysql? (
+ >=dev-python/pymysql-0.6.2[${PYTHON_USEDEP}]
+ !~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
+ )
+ postgres? (
+ >=dev-python/psycopg-2.5.0
+ >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
+ )
+ >=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.16.0[${PYTHON_USEDEP}]
+ ~dev-python/suds-0.6[${PYTHON_USEDEP}]
+ >=dev-python/webob-1.2.3-r1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-vmware-2.11.0[${PYTHON_USEDEP}]
+ >=dev-python/os-brick-1.6.1[${PYTHON_USEDEP}]
+ >=dev-python/os-win-0.2.3[${PYTHON_USEDEP}]
+ >=dev-python/tooz-1.28.0[${PYTHON_USEDEP}]
+ >=dev-python/google-api-python-client-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/castellan-0.4.0[${PYTHON_USEDEP}]
+ iscsi? (
+ tgt? ( sys-block/tgt )
+ sys-block/open-iscsi
+ )
+ lvm? ( sys-fs/lvm2 )
+ memcached? ( net-misc/memcached )
+ app-emulation/qemu
+ sys-fs/sysfsutils"
+# qemu is needed for image conversion
+
+#PATCHES=(
+#)
+
+pkg_pretend() {
+ linux-info_pkg_setup
+ CONFIG_CHECK_MODULES=""
+ if use tcp; then
+ CONFIG_CHECK_MODULES+="SCSI_ISCSI_ATTRS ISCSI_TCP "
+ fi
+ if use rdma; then
+ CONFIG_CHECK_MODULES+="INFINIBAND_ISER "
+ fi
+ if use infiniband; then
+ CONFIG_CHECK_MODULES+="INFINIBAND_IPOIB INFINIBAND_USER_MAD INFINIBAND_USER_ACCESS"
+ fi
+ if linux_config_exists; then
+ for module in ${CONFIG_CHECK_MODULES}; do
+ linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled"
+ done
+ fi
+}
+
+pkg_setup() {
+ enewgroup cinder
+ enewuser cinder -1 -1 /var/lib/cinder cinder
+}
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # Let's track progress of this # https://bugs.launchpad.net/swift/+bug/1249727
+ nosetests -I test_wsgi.py cinder/tests/ || die "tests failed under python2.7"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ keepdir /etc/cinder
+ dodir /etc/cinder/rootwrap.d
+
+ for svc in api scheduler volume; do
+ newinitd "${FILESDIR}/cinder.initd" cinder-${svc}
+ done
+
+ insinto /etc/cinder
+ insopts -m0640 -o cinder -g cinder
+ doins "etc/cinder/api-httpd.conf"
+ doins "etc/cinder/logging_sample.conf"
+ doins "etc/cinder/rootwrap.conf"
+ doins "etc/cinder/api-paste.ini"
+ newins "${DISTDIR}/newton-cinder-policy.json" "policy.json"
+ newins "${DISTDIR}/newton-cinder.conf.sample" "cinder.conf.sample"
+ insinto /etc/cinder/rootwrap.d
+ newins "${DISTDIR}/newton-cinder-volume.filters" "volume.filters"
+
+ dodir /var/log/cinder
+ fowners cinder:cinder /var/log/cinder
+
+ #add sudoers definitions for user nova
+ insinto /etc/sudoers.d/
+ insopts -m 0440 -o root -g root
+ newins "${FILESDIR}/cinder.sudoersd" cinder
+}
+
+pkg_postinst() {
+ if use iscsi ; then
+ elog "Cinder needs tgtd to be installed and running to work with iscsi"
+ elog "it also needs 'include /var/lib/cinder/volumes/*' in /etc/tgt/targets.conf"
+ fi
+}